summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Martin Ivanov2010-12-14 11:24:35 +0100
committer Erik Hanson2010-12-17 14:56:46 +0100
commitacc9b9a24f347b2492c1f19eda8af1d4992178ed (patch)
treec270053eeba344f72c20dd9cce337cae0d12a42f /office
parentdb8c99c388c580613ec0e6c06ba498a5b8e5fe3e (diff)
downloadslackbuilds-acc9b9a24f347b2492c1f19eda8af1d4992178ed.tar.gz
office/ding: Added (German-English Dictionary)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/ding/README11
-rw-r--r--office/ding/ding.SlackBuild63
-rw-r--r--office/ding/ding.info10
-rw-r--r--office/ding/doinst.sh3
-rw-r--r--office/ding/slack-desc19
5 files changed, 106 insertions, 0 deletions
diff --git a/office/ding/README b/office/ding/README
new file mode 100644
index 0000000000..b801486ae3
--- /dev/null
+++ b/office/ding/README
@@ -0,0 +1,11 @@
+Ding is a Dictionary lookup program for the X window system
+(Linux, Unix - not for Mac or MS Windows). It comes with a German-English
+Dictionary with approximately 270,000 entries.
+
+It is based on Tk version >= 8.3 and uses the agrep or egrep tools
+for searching. It has many configuration options, such as search
+preferences, interface language (English or German), colors.
+
+It has history and help functions and comes with useful key
+and mouse bindings for quick and easy lookups.
+
diff --git a/office/ding/ding.SlackBuild b/office/ding/ding.SlackBuild
new file mode 100644
index 0000000000..44e0e455a6
--- /dev/null
+++ b/office/ding/ding.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+## Written by Martin Ivanov (tramni@abv.bg)
+## Package Homepage: http://www-user.tu-chemnitz.de/~fri/ding/
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please add a "Modified by" line so that I don't
+## receive kudos or flames for things I didn't write... Thanks.
+
+# Heavily Modified by Michiel van Wessem <michiel@slackbuilds.org> 20081020
+
+PRGNAM=ding
+VERSION=1.7
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT $TMP
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,man/man1}
+cp ding $PKG/usr/bin || exit 1
+cp ding.1 $PKG/usr/man/man1 || exit 1
+
+mkdir -p $PKG/usr/share/{dict,applications,pixmaps}
+cp de-en.txt $PKG/usr/share/dict|| exit 1
+cp ding.desktop $PKG/usr/share/applications || exit 1
+cp ding.png $PKG/usr/share/pixmaps
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R $CWD/{$PRGNAM.SlackBuild,slack-desc,doinst.sh} CHANGES COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chown root:root {} \; -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/office/ding/ding.info b/office/ding/ding.info
new file mode 100644
index 0000000000..c9999af476
--- /dev/null
+++ b/office/ding/ding.info
@@ -0,0 +1,10 @@
+PRGNAM="ding"
+VERSION="1.7"
+HOMEPAGE="http://www-user.tu-chemnitz.de/~fri/ding/"
+DOWNLOAD="ftp://ftp.tu-chemnitz.de/pub/Local/urz/ding/ding-1.7.tar.gz"
+MD5SUM="f021c0cb21105cf0ccd38330c2598ed1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Martin Ivanov"
+EMAIL="tramni@abv.bg"
+APPROVED="Niels Horn"
diff --git a/office/ding/doinst.sh b/office/ding/doinst.sh
new file mode 100644
index 0000000000..7ebfa3ab4d
--- /dev/null
+++ b/office/ding/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/office/ding/slack-desc b/office/ding/slack-desc
new file mode 100644
index 0000000000..c3ec37cd86
--- /dev/null
+++ b/office/ding/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ding: Ding (German-English Dictionary)
+ding:
+ding: Ding is a Dictionary lookup program for the X window system. It comes
+ding: with a German-English dictionary with approximately 270,000 entries.
+ding: It is based on Tk version >= 8.3 and uses the agrep or egrep tools
+ding: for searching.
+ding: It has many configuration options, such as search preferences,
+ding: interface language (English or German), colors.
+ding: It has history and help functions and comes with useful key
+ding: and mouse bindings for quick and easy lookups.
+ding: Homepage: http://www-user.tu-chemnitz.de/~fri/ding/